Subject: Re: [Mip4] [Issue 17] Enhanced Registration Request processing at the Home Agent.

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 12 Mar 2004 13:36:56 -0800

Hello folks,

I propose that issue 17 be closed and
marked as rejected.

Regards,
Charlie P.

"Charles E. Perkins" wrote:
> 
> Hello folks,
> 
> Please refer to previous discussion at the following URL:
>         http://www.mip4.org/issues/tracker/mip4/issue17
> and:
>         http://www.ietf.org/proceedings/03nov/142.htm
> as necessary.
> 
> This issue has to deal with what the home agent might
> do if it gets a Registration Request to an unknown
> unicast address.  Nobody presented sufficient reasons
> for the home agent to take any useful action other than
> rejecting the Request.  I don't think that any changes
> to the specification are yet warranted by discussion
> up until now.
> 
> Regards,
> Charlie P.
> 
> --
> Mip4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mip4

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: "Jayshree Bharatia" <[email-masked]>
Date: Mon, 15 Mar 2004 17:26:58 -0600

Hello Charlie,

I have included my comments inline.  

Regards,
Jayshree
> -----Original Message-----
> From: Charles E. Perkins [mailto:[email-masked]] 
> Sent: Friday, March 12, 2004 4:59 PM
> To: Bharatia, Jayshree [RICH1:2H13:EXCH]
> Cc: [email-masked]
> Subject: Re: [Mip4] [Issue 17] Enhanced Registration Request 
> processing atthe Home Agent.
> 
> 
> 
> Hello Jayshree,
> 
> Thanks for reminding me about these points -- I missed them 
> because I was looking on the issue tracker.
> 
> Jayshree Bharatia wrote:
> 
> > Change 1: "If the Home Agent cannot support the specified nonzero 
> > unicast address in the Home Address field of the 
> Registration Request, 
> > then the Home Agent MUST reject the registration with an 
> error code of 
> > 129. "
> 
> I have put this addition into the text for section 3.8.3.2.
> I agree that error number 129 will serve the purpose.
> 
JB] ok
> > If the MN registers a static Home Address (or registers with a 
> > previously assigned dynamic Home Address) on a Home Agent 
> that can not 
> > support the presented Home Address, then the Home Agent fails the 
> > registration and return code 129 "admin prohibited" (or something 
> > equivalent).
> 
> This seems to me to duplicate the work of the previous 
> paragraph, so I would hope that it does not have to be added 
> also.  I don't see why the home agent has to know whether the 
> address was dynamically assigned or not.
> 
[JB] This is just a description of change 1 (above) which you have already
taken care of. Hence, there is no action needed for this part.

> > Change 2: "if the destination IP address of the 
> Registration Request 
> > is the unicast IP address of this Home Agent, the Home Agent MAY 
> > accept the Registration Request.
> 
> The conditions for accepting registrations from the mobile 
> node are sort-of the subject of a great deal of text, so I 
> guess that the purpose of this sentence is to enable a new 
> kind of operation for when a nonzero Home Agent address field 
> does not match the unicast address in the IP header.  This 
> means, for instance, that the Registration Request didn't 
> come from the foreign agent. Or else there is a new protocol 
> in operation that is outside the scope of this document.
> 
> In either case, I would expect that the details of operation 
> are more appropriately described in another document.  That 
> other document would be also able to override the mandates 
> within RFC 3344{,bis}, and so I am reluctant to make such 
> partial changes within rfc3344bis-00.txt
> 
> >                        If the destination IP address of the 
> > Registration Request is not the unicast IP address of this 
> Home Agent, 
> > the home agent MUST reject the Registration Request with a suitable 
> > code(e.g., Code 136) to prevent the mobile node from possibly being 
> > simultaneously registered with two or more Home Agents."
> 
> Here, it is not clear how the Home Agent was able to
> receive the packet in the first place.
[JB] I should have copied the full proposal earlier for clarity. This
specific change is the extension of the condition where the home agent field
in the Registration Request does not contain a unicast address of this home
agent. In this case, the current text is suggesting to reject the
Registration Request. But the new proposal is to accept the Registration
Request if destination IP address of the Registration Request is same as the
unicast IP address of this Home Agent. As indicated earlier, this is
applicable for dynamic HA scenario.

> 
> > This text is applicable for the Dynamic Home Agent 
> mechanism. If the 
> > HA receives a Registration Request with a Home Agent field not its 
> > own, the HA "MAY" accept the registration. Please note that the 
> > current text requires the HA to reject the registration.
> 
> I hope that the Dynamic Home Agent document should be the
> place to make the changes.
> 
[JB] I am ok with this decision if this is acceptable to all.

> Regards,
> Charlie P.
> 
> 
> 
> > > -----Original Message-----
> > > From: Charles E. Perkins [mailto:[email-masked]]
> > > Sent: Friday, March 12, 2004 3:37 PM
> > > To: [email-masked]
> > > Cc: Henrik Levkowetz; Pete McCann
> > > Subject: Re: [Mip4] [Issue 17] Enhanced Registration Request 
> > > processing at the Home Agent.
> > >
> > >
> > >
> > > Hello folks,
> > >
> > > > do if it gets a Registration Request to an unknown unicast 
> > > > address.  Nobody presented sufficient reasons for the 
> home agent 
> > > > to take any useful action other than
> > > rejecting the
> > > > Request.  I don't think that any changes to the
> > > specification are yet
> > > > warranted by discussion up until now.
> > > >
> > > > Regards,
> > > > Charlie P.
> > > >
> > > > --
> > > > Mip4 mailing list
> > > > [email-masked]
> > >      Charter page: 
> > > http://www.ietf.org/html.charters/mip4-charter.html
> > --DS9166993534658177240--
>